Package org.apache.tapestry5.internal.services

# Class DefaultInjectionProvider

java.lang.Object
org.apache.tapestry5.internal.services.DefaultInjectionProvider

All Implemented Interfaces:
  `InjectionProvider2`

public class DefaultInjectionProvider extends Object implements InjectionProvider2
Worker for the `Inject` annotation that delegates out to the master `MasterObjectProvider` to access the value. This worker must be scheduled after certain other workers, such as `BlockInjectionProvider` (which is keyed off a combination of type and the Inject annotation).

See Also:
  - `MasterObjectProvider`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultInjectionProvider(MasterObjectProvider masterObjectProvider, ObjectLocator locator, ComponentClassCache classCache)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `provideInjection(PlasticField field, ObjectLocator locator, MutableComponentModel componentModel)`
  Perform the injection, if possible.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultInjectionProvider

    public DefaultInjectionProvider(MasterObjectProvider masterObjectProvider, ObjectLocator locator, ComponentClassCache classCache)

- ## Method Details

  - ### provideInjection

    public boolean provideInjection(PlasticField field, ObjectLocator locator, MutableComponentModel componentModel)
    Description copied from interface: `InjectionProvider2`
    Perform the injection, if possible. Most often, this will result in a call to `PlasticField.inject(Object)`. The caller is responsible for invoking `PlasticField.claim(Object)`.
    Specified by:
      `provideInjection` in interface `InjectionProvider2`
    Parameters:
      `field` - that has the `Inject` annotation
      `locator` - allows services to be located
      `componentModel` - defines the relevant aspects of the component
    Returns:
      true if an injection has been made (terminates the command chain), false to continue down the chain